import { ValidationRuleContract } from './contracts';
import * as niv from './index';


describe(
  "Validator:validate",
  function (): void {
    test(
      "should pass, add custom rule",
      async function (): Promise<void> {
        niv.extend('even', (): ValidationRuleContract => {
          return {
            name: 'even',
            handler: (value: any) => {
              if ((parseInt(value) % 2) == 0) {
                return true;
              }
              return false;
            }
          };
        });
      }
    );

    test("should pass, with custom rule", () => {
      // @ts-ignore
      expect(niv.Rules.even().handler("2")).toBe(true);
    });

    test("should fail, with custom rule", () => {
      // @ts-ignore
      expect(niv.Rules.even().handler("3")).toBe(false);
    });
  });
